/*
 * Copyright © 2016-2018 European Support Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.openecomp.sdcrests.mapping;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;
import org.junit.Test;

/**
 * This class was generated.
 */
public class EchoMapMappingTest {

    @Test()
    public void testConversion() {

        final int size = 5;

        final Map<String, String> source = new HashMap<>(size);
        for (int i = 0; i < size; i++) {
            source.put(String.valueOf(i), UUID.randomUUID().toString());
        }

        final Map<String, String> target = new HashMap<>(size);
        final EchoMapMapping mapper = new EchoMapMapping();
        mapper.doMapping(source, target);

        assertEquals(size, target.size());

        for (Map.Entry<String, String> entry : target.entrySet()) {
            String value = source.get(entry.getKey());
            assertNotNull(value);
            assertEquals(value, entry.getValue());
        }
    }
}
