/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.openecomp.sdcrests.vendorlicense.types;


import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Set;

@Schema(description = "FeatureGroupRequest")
public class FeatureGroupRequestDto extends FeatureGroupDescriptorDto {

  private Set<String> addedLicenseKeyGroupsIds;
  private Set<String> addedEntitlementPoolsIds;

  public Set<String> getAddedLicenseKeyGroupsIds() {
    return addedLicenseKeyGroupsIds;
  }

  public void setAddedLicenseKeyGroupsIds(Set<String> addedLicenseKeyGroupsIds) {
    this.addedLicenseKeyGroupsIds = addedLicenseKeyGroupsIds;
  }

  public Set<String> getAddedEntitlementPoolsIds() {
    return addedEntitlementPoolsIds;
  }

  public void setAddedEntitlementPoolsIds(Set<String> addedEntitlementPoolsIds) {
    this.addedEntitlementPoolsIds = addedEntitlementPoolsIds;
  }
}
