/*
 * Copyright © 2016-2018 European Support Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.openecomp.sdcrests.vsp.rest.mapping;

import static org.junit.Assert.assertEquals;

import org.junit.Test;
import org.openecomp.sdc.vendorsoftwareproduct.dao.type.NicEntity;
import org.openecomp.sdcrests.vendorsoftwareproducts.types.NicCreationResponseDto;

/**
 * This class was generated.
 */
public class MapNicEntityToNicCreationResponseDtoTest {

    @Test()
    public void testConversion() {

        final NicEntity source = new NicEntity();
        final String nicId = "2fc02984-1199-4502-affb-dbbbe6a4c2e6";
        source.setId(nicId);

        final NicCreationResponseDto target = new NicCreationResponseDto();
        final MapNicEntityToNicCreationResponseDto mapper = new MapNicEntityToNicCreationResponseDto();
        mapper.doMapping(source, target);

        assertEquals(nicId, target.getNicId());
    }
}
